package tools;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/** Helper to search for files.
 * @author	Louis Royer
 * @author	Flavien Haas
 * @author	JS Auge
 * @version	1.0
 */
public class SearchFile {

	/** search correspondance of a String in a String array.
	 * @param filesArray	is the array containing all the names of files.
	 * @param searchInput contain the search request.
	 */
	public String[] searchByName(String[] filesArray, String searchInput) {
		List<String> resultList = new ArrayList<>(Arrays.asList(filesArray));

		for(String listItem: filesArray) {
			if(!listItem.contains(searchInput)){
				resultList.remove(listItem);
			}
		}
		String[] resultArray = new String[resultList.size()];
		if(resultList.isEmpty()) {
			return resultArray;
		}
		else {
			resultArray = resultList.toArray(resultArray);
			return resultArray;
		}
	}

	/** search correspondance of a String in a the end of String in an array.
	 * @param filesArray	is the array containing all the names of files.
	 * @param searchInput contain the search request.
	 */
	public String[] searchByExtention(String[] filesArray, String searchInput) {
		List<String> resultList = new ArrayList<>(Arrays.asList(filesArray));

		int i = 0;

		for(String listItem: filesArray) {
			if(!listItem.endsWith(searchInput)){
				resultList.remove(listItem);
			}
		}
		String[] resultArray = new String[resultList.size()];
		if(resultList.isEmpty()) {
			return resultArray;
		}
		else {
			resultArray = resultList.toArray(resultArray);
			return resultArray;
		}
	}
}
